Package: io.vertx.groovy.core

## [Groovy] Class TimeoutStream

- io.vertx.groovy.core.TimeoutStream

- All Implemented Interfaces and Traits:
    ReadStream

      @groovy.transform.CompileStatic
      class TimeoutStream
      extends java.lang.Object

  A timeout stream is triggered by a timer, the io.vertx.groovy.core.Handler will be call when the timer is fired, it can be once or several times depending on the nature of the timer related to this stream. The will be called after the timer handler has been called.

  Pausing the timer inhibits the timer shots until the stream is resumed. Setting a null handler callback cancels the timer.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `TimeoutStream (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `cancel()` Cancels the timeout.
    `TimeoutStream` | `endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)`
    `TimeoutStream` | `exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)`
    `java.lang.Object` | `getDelegate()`
    `TimeoutStream` | `handler(io.vertx.core.Handler<java.lang.Long> handler)`
    `TimeoutStream` | `pause()`
    `TimeoutStream` | `resume()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### TimeoutStream(java.lang.Object delegate)

  - ### Method Detail

    - #### void cancel()

      Cancels the timeout. Note this has the same effect as calling TimeoutStream.handler with a null argument.

    - #### TimeoutStream endHandler(io.vertx.core.Handler<java.lang.Void> endHandler)

    - #### TimeoutStream exceptionHandler(io.vertx.core.Handler<java.lang.Throwable> handler)

    - #### java.lang.Object getDelegate()

    - #### TimeoutStream handler(io.vertx.core.Handler<java.lang.Long> handler)

    - #### TimeoutStream pause()

    - #### TimeoutStream resume()